\ ----------------------------------------------------------------------
\ LANGUAGE    : AVR ByteForth vsn 2.00
\ PROJECT     : Ushi-3 test nummer 1
\ DESCRIPTION : Led test op poort-B 
\ CATEGORY    : Applicatie, afmeting: 100 bytes.
\ AUTHOR      : Willem Ouwerkerk, December 09, 2001
\ LAST CHANGE : Willem Ouwerkerk, Oktober 20, 2002
\ ----------------------------------------------------------------------

90S2313                         \ Selecteer target
NEEDS TARGET.FRT                \ Laad cpu specifiek deel
4 SET-CRYSTAL                   \ Gebruik 4 MHz kristal
NEEDS MS.FRT                    \ Laad geschikte MS versie


DOC test of de CPU print werkt

Dit is de eerste test voor Ushi, het laat de leds die op de
bumperschakelaars aangesloten zitten een voor een oplichten.
De leds lopen met de klok mee rond. Er is altijd maar een
led tegelijkertijd aan.

De leds in Ushi-3 zijn aangesloten op Poort-B

Deze test kan ook gebruikt worden om uit te proberen of de
bumperschakelaars geen kortsluiting maken.

Vergeet niet alle acht jumpers bij de leds te plaatsen !!!

ENDDOC


PORTB SFR LEDS

\ Laat de leds met de klok mee rond lopen.
: LEDJES            ( -- )
    DUP INVERT TO LEDS
    2* DUP 0= IF  DROP 1  THEN  100 MS
    ;

:MAIN               ( -- )
    $FF SETDIR LEDS  -1         \ Leds zijn uitgang, en startwaarde
    BEGIN
        LEDJES
    AGAIN
    ;

                              ( Einde )
