\ ----------------------------------------------------------------------
\ LANGUAGE    : AVR ByteForth vsn 2.00
\ PROJECT     : Ushi-3 test nummer 6
\ DESCRIPTION : Test RC5 zender
\ CATEGORY    : Applicatie, afmeting: 272 bytes.
\ AUTHOR      : Willem Ouwerkerk, December 09, 2001
\ LAST CHANGE : Willem Ouwerkerk, Oktober 20, 2002
\ ----------------------------------------------------------------------

90S2313                                 \ Selecteer target
NEEDS TARGET.FRT                        \ Laad cpu specifiek deel
4 SET-CRYSTAL                           \ Gebruik 4 MHz kristal
NEEDS MS.FRT                            \ Laad geschikte MS versie


\ De leds in Ushi-2 zijn aangesloten op PB

PORTB SFR PB
PORTD SFR PD

PORTD 2 BIT-SFR ZEND                    \ RC5-uitgang
PIND  3 BIT-SFR ONTVANG                 \ RC5-ingang

INCLUDE RC5A.FRT


DOC het testen van de RC5 decoder

Vergeet niet alle acht jumpers bij de leds te plaatsen !!!
De kabel van de IR-RC-print wordt aangesloten op connector
3 en 4 van Ushi.

Ushi toont op zijn leds de toetscode die op de afstandbediening
ingedrukt is.

Als het niet werkt, kijk eerst de aansluiting na de IR-ontvanger
moet aangesloten zijn op pen PORTD.3 van de 90S2313. Klopt dit, wijzig
dan voorzichtig de konstanten -56. in LEES-BIT en/of -29. in RCSTART
Deze konstanten wijzigen de bemonstertijd van de decoder.

ENDDOC


\ Gebruik de leds om de toetscodes van de afstandbediening te tonen.
: ONTVANGER         ( -- )
    RCKEY  INVERT TO PB
    ;

:MAIN               ( -- )
    $FF SETDIR PB  $F6 SETDIR PD  SETUP-RC
    CLEAR PB  250 MS  SET PB            \ Opstart seintje
    BEGIN
        ONTVANGER
    AGAIN
    ;

                              ( Einde )
